Utilitaire qui ne s'installe pas. Config PHP ???

Discussion dans 'Panneaux de Contrôle' démarrée par crazy-spip, Jan 18, 2014.

  1. crazy-spip

    crazy-spip New Member

    Bonjour,

    J’espère être sur la bonne partie du forum pour ma question, je ne savais pas trop où la poster.

    Je suis sur un mutualisé et je tente d’installer Gestsup, un système de tickets helpdesk.

    A la fin de l’installation, j’ai le message « L’application a été installée, vous pouvez y accéder via l’URL xxxxx »

    Je tape donc l’URL et j’obtiens le message suivant : « impossible de sélectionner la base : Access denied for user 'user'@'localhost' to database 'bsup' »

    En allant voir mes DB via PHPMyAdmin, je constate en effet que la base n’a pas été créée.

    En cours d’installation, j’ai eu diverses notifications dont 2 en alerte :
    - Max_execution_time : 30s (il est préconisé d’avoir une valeur supérieure ou égale à 240s pour les mises à jours)
    - Etat des extensions PHP: php_ldap désactivé, la synchonisation des utilisateurs et l’authentification via LDAP ne seront pas disponibles.


    Je n'y connais vraiment pas grand chose en serveur, config php et autres, pour moi c’est un peu du chinois. Une idée ?

    Merci d’avance de vos réponses.
     
    Dernière édition: Jan 18, 2014
  2. pierre_kuhn

    pierre_kuhn New Member

    Bonjour

    Déjà, vous l'installez par softaculous ?
     
  3. crazy-spip

    crazy-spip New Member

    Bonjour Pierre,

    Euh... non, j'ai suivi la procédure indiquée sur le site de Gestsup à savoir :
    - copier les fichiers par FTP
    - lancer l'installation en appelant l'URL "mondomaine/gestsup/install"
     
  4. pierre_kuhn

    pierre_kuhn New Member

    Bonjour

    Vu leur documentation il faut php 5.4, est ce que tu as vérifier cela ?
    Ensuite cela bloque à la demande d’installation ou bien tu as déjà taper des informations de connexion ?

    PS, tu es spipeur ? un plugins gère cela en spip ;)
     
  5. crazy-spip

    crazy-spip New Member

    Oups ! Bien vu ! Planethoster est en 5.3.25. :eek: Faudrait que j'installe une ancienne version de Gestsup alors.

    Oui, je spipe. Quel plugin ?
    Car Gestsup me paraissait vraiment répondre à mon besoin... mais je peux voir ce que propose Spip.
     
  6. pierre_kuhn

    pierre_kuhn New Member

  7. crazy-spip

    crazy-spip New Member

    OK, je vais faire un ticket... ou attendre l'upgrade, vu que je n'aurai pas besoin de Gestsup avant mi-février. Sais-tu dans quel délai tous les serveurs seront upgradés ?

    Je vais aussi aller lire la doc des plugins que tu m'as renseignés.

    Merci beaucoup !!! Bon dimanche.
     
  8. pierre_kuhn

    pierre_kuhn New Member

    Les upgarde se font au fil des jours, je n'ai pas de date actuellement.
    Si tu veux du simple, regarde le plugins Spip sinon attend l'upgrade ;)
     
  9. crazy-spip

    crazy-spip New Member

    Je viens de survoler rapidement le système de tickets du plugin Spip mais il est manifestement destiné à gérer le travail sur un site donné, à travers son espace privé.

    Or ce que je cherche, c'est un système centralisé de tickets, tous sites confondus, et accessible en public (moyennant login).

    Je suppose qu'il devrait y avoir moyen d'intaller le plugin sur un Spip dédié à cela et rendre l'accès public via le plugin Crayons (???). Mais je ne suis pas certaine que ce soit à ma portée, ni que ce ne soit pas - en quelques sortes - chercher à réinventer la roue.
     
  10. pierre_kuhn

    pierre_kuhn New Member

    salut

    il me semble mais il faut que je fouille, tu peux l'avoir sur tout tes sites et centralisé via un flux rss.

    je te le proposais mais je sais pas si cela convient a tes attentes aussi.
     
  11. PH-Quentin

    PH-Quentin Administrator Membre de l'équipe

    Bonjour Crazy-SPIP,

    HTML:
    «*impossible de sélectionner la base*: Access denied for user 'user'@'localhost' to database 'bsup'*»
    Les bases de données doivent être créées par le cPanel et non via une commande SQL. Pour des raisons de facilité, je vous recommande de faire cela via l’assistant de création MySQL*: https://www.youtube.com/watch?v=fL1T4dXc-uI

    Si votre compte cPanel est «*crazysp*» (exemple), la base et l’utilisateur seront «*crazysp_dbspip*» et «*crazysp_usersp*» par exemple et non «*crazysp*».

    Sinon je vous invite à ouvrir une demande de support et nous pourrons vous aider de façon plus précise.

    Cordialement,
     
  12. crazy-spip

    crazy-spip New Member

    Bonsoir Pierre et Quentin,

    Un grand merci pour votre aide.

    J'ai parallèlement obtenu des infos via GestSup, qui m'a confirmé que bien que les "requirements" indiquaient PHP 5.4, le 5.3.x était supporté. Ils m'ont également invitée à faire une installation manuelle pour contourner le problème.

    Comme suggéré par Quentin, j'ai donc créé ma base via le Cpanel, importé le fichier sql contenant les tables et édité manuellement le connect.php. Ça fonctionne maintenant au poil. Voilà... si ça peut aider qqn d'autre...

    PS : je découvre l'outil GestSup et il me paraît vraiment fort complet, très intuitif et est nativement en français ce qui ne gâche rien. Je n'ai pas d'actions chez eux mais quand on fait une belle découverte, autant la partager. ;-)
     

Partager cette page